{
    "scripts": {
        "start": "npm run web",
        "server": "node_modules/.bin/nodemon",
        "web": "react-app-rewired start",
        "web-not-rewired": "react-scripts start",
        "server-prod": "MONGO_PATH=mongodb://vscprodadmin@localhost:27017/vscapp node --inspect --require ./ts-hook.js ./server/main.ts",
        "server-no-inspect": "node --require ./ts-hook.js ./server/main.ts",
        "emulator-server": "rimraf android/app/build/** && react-native start",
        "prebuild-web": "ENV=production node server/shared/utils/get-machine-ip.js",
        "build-web": "react-scripts build",
        "android": "rimraf android/app/build/** && react-native run-android",
        "ios": "react-native run-ios",
        "cloc": "node_modules/.bin/cloc C:\\_Projects\\vsc-web\\src & cloc C:\\_Projects\\vsc-web\\server",
        "tslint": "node_modules/.bin/tslint -c tslint.json 'src/**/*.{ts,tsx}'",
        "tslint-fix": "node_modules/.bin/tslint --fix -c tslint.json 'src/**/*.{ts,tsx}'",
        "tslint-server": "node_modules/.bin/tslint -c tslint.json 'server/**/*.{ts,tsx}'",
        "tslint-fix-server": "node_modules/.bin/tslint --fix -c tslint.json 'server/**/*.{ts,tsx}'",
        "ts-node": "node_modules/.bin/ts-node --project ./tsconfig-server.json",
        "get-machine-ip": "node server/shared/utils/get-machine-ip.js",
        "preweb": "set NODE_ENV=development&&  npm run get-machine-ip",
        "test": "npx cypress open",
        "cy:open": "npx cypress open",
        "postinstall": "jetify"
    },
    "dependencies": {
        "@react-native-community/async-storage": "1.8.1",
        "@types/js-base64": "2.3.1",
        "art": "0.10.3",
        "axios": "0.19.2",
        "bcrypt-nodejs": "0.0.3",
        "body-parser": "1.19.0",
        "color-js": "1.0.5",
        "cors": "2.8.5",
        "express": "4.17.1",
        "express-fileupload": "^1.1.6",
        "express-rate-limit": "5.1.1",
        "express-session": "1.17.0",
        "font-awesome": "4.7.0",
        "history": "4.10.1",
        "js-base64": "2.5.2",
        "jsonwebtoken": "8.5.1",
        "moment": "2.24.0",
        "monaco-editor": "0.20.0",
        "monaco-editor-webpack-plugin": "1.9.0",
        "mongoose": "5.9.5",
        "node-libs-react-native": "1.0.3",
        "passport": "0.4.1",
        "passport-jwt": "4.0.0",
        "passport-local": "1.0.0",
        "prop-types": "15.7.2",
        "query-string": "6.11.1",
        "react": "16.13.0",
        "react-art": "16.13.0",
        "react-dom": "16.13.0",
        "react-google-recaptcha": "2.0.1",
        "react-hot-loader": "4.12.20",
        "react-monaco-editor": "0.34.0",
        "react-native": "0.61.5",
        "react-native-chart-kit": "5.2.0",
        "react-native-extended-stylesheet": "0.12.0",
        "react-native-gesture-handler": "1.6.0",
        "react-native-indicator": "1.2.0",
        "react-native-linear-gradient": "2.5.6",
        "react-native-svg": "12.0.3",
        "react-native-unimodules": "0.7.0",
        "react-native-web": "0.12.2",
        "react-native-web-linear-gradient": "1.1.1",
        "react-native-webview": "9.0.1",
        "react-navigation": "4.3.1",
        "react-redux": "7.2.0",
        "react-router": "5.1.2",
        "react-router-dom": "5.1.2",
        "react-router-native": "5.1.2",
        "react-scripts": "3.4.0",
        "redux": "4.0.5",
        "redux-observable": "1.2.0",
        "redux-persist": "6.0.0",
        "redux-persist-transform-filter": "0.0.20",
        "reselect": "4.0.0",
        "rimraf": "3.0.2",
        "rxjs": "6.5.4",
        "sib-api-v3-sdk": "7.1.4",
        "sib-api-v3-typescript": "1.0.0",
        "stream-browserify": "2.0.2",
        "styled-components": "5.0.1",
        "uninstall": "0.0.0",
        "uuid": "7.0.2",
        "victory-native": "34.1.0"
    },
    "devDependencies": {
        "@babel/core": "7.8.7",
        "@babel/plugin-proposal-class-properties": "7.8.3",
        "@babel/plugin-proposal-object-rest-spread": "7.8.3",
        "@babel/preset-env": "7.8.7",
        "@babel/preset-react": "7.8.3",
        "@babel/runtime": "7.8.7",
        "@hot-loader/react-dom": "16.13.0",
        "@types/bcrypt-nodejs": "0.0.31",
        "@types/cors": "2.8.6",
        "@types/d3-path": "1.0.8",
        "@types/express": "4.17.3",
        "@types/express-fileupload": "^1.1.2",
        "@types/express-rate-limit": "5.0.0",
        "@types/express-session": "1.17.0",
        "@types/jsonwebtoken": "8.3.8",
        "@types/mongoose": "5.7.6",
        "@types/node": "13.9.1",
        "@types/passport": "1.0.3",
        "@types/passport-jwt": "3.0.3",
        "@types/passport-local": "1.0.33",
        "@types/query-string": "6.3.0",
        "@types/react": "16.9.23",
        "@types/react-dom": "16.9.5",
        "@types/react-google-recaptcha": "1.1.1",
        "@types/react-native": "0.61.23",
        "@types/react-navigation": "3.4.0",
        "@types/react-redux": "7.1.7",
        "@types/react-router": "5.1.4",
        "@types/react-router-dom": "5.1.3",
        "@types/react-router-native": "5.1.0",
        "@types/redux-devtools-extension": "2.13.2",
        "@types/simplebar": "5.1.0",
        "@types/styled-components": "5.0.1",
        "@types/uuid": "7.0.2",
        "cloc": "2.5.1",
        "colors": "1.4.0",
        "customize-cra": "0.9.1",
        "cypress": "4.2.0",
        "cypress-react-unit-test": "^3.3.1",
        "detox": "16.0.0",
        "jetifier": "1.6.5",
        "loglevel": "1.6.7",
        "nodemon": "2.0.2",
        "react-app-rewired": "2.1.5",
        "react-dom": "16.13.0",
        "react-native-typescript-transformer": "1.2.13",
        "redux-devtools-extension": "2.13.8",
        "ts-node": "8.6.2",
        "tslint": "6.1.0",
        "tslint-eslint-rules": "5.4.0",
        "tslint-react": "4.2.0",
        "typescript": "3.8.3",
        "webpack": "4.41.5"
    },
    "prettier": {
        "printWidth": 120,
        "tabWidth": 4,
        "singleQuote": true
    },
    "private": true,
    "browserslist": [
        ">0.2%",
        "not dead",
        "not ie <= 11",
        "not op_mini all"
    ],
    "detox": {
        "configurations": {
            "ios.sim.debug": {
                "binaryPath": "ios/build/vsc/Build/Products/Debug-iphonesimulator/vsc.app",
                "build": "xcodebuild -project ios/vsc.xcworkspace -scheme vsc -configuration Debug -sdk iphonesimulator -derivedDataPath ios/build",
                "type": "ios.simulator",
                "device": {
                    "type": "iPhone 11"
                }
            },
            "android.emu.debug": {
                "binaryPath": "android/app/build/outputs/apk/debug/app-debug.apk",
                "build": "cd android && ./gradlew assembleDebug assembleAndroidTest -DtestBuildType=debug && cd ..",
                "type": "android.emulator",
                "device": {
                    "avdName": "Nexus_5X_API_29"
                }
            },
            "android.emu.release": {
                "binaryPath": "android/app/build/outputs/apk/release/app-release.apk",
                "build": "cd android && ./gradlew assembleRelease assembleAndroidTest -DtestBuildType=release && cd ..",
                "type": "android.emulator",
                "device": {
                    "avdName": "Nexus_5X_API_29"
                }
            }
        },
        "test-runner": "jest"
    }
}
